package com.dzeio.openhealth.ui.water

import com.dzeio.openhealth.Settings
import com.dzeio.openhealth.core.BaseViewModel
import com.dzeio.openhealth.utils.Configuration
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class WaterSizeSelectorViewModel @Inject constructor(
    private val settings: Configuration
) : BaseViewModel() {

    val cupSize = settings.getInt(Settings.WATER_INTAKE_SIZE).toLiveData()

    fun setCupSize(value: Int) {
        settings.getInt(Settings.WATER_INTAKE_SIZE).value = value
    }
}
